PUT
/integration/v1/groups/{group_id}
Update account group
Update account group
operationId Update account group
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
group_id
|
string | required | Path parameter: group_id |
Request body
Content-Type: application/json
| Field | Type | Required | Description |
|---|---|---|---|
group_id
|
string (uuid) | required | Group id |
name
|
string | optional | Group by name |
parent_id
|
string (uuid) | optional | Parent group id |
user_ids_to_add
|
array | optional | User ids to add to group |
user_ids_to_add
|
string (uuid) | optional | |
user_ids_to_remove
|
array | optional | User ids to remove from group |
user_ids_to_remove
|
string (uuid) | optional |
Responses
200
application/json body
| Field | Type | Required | Description |
|---|---|---|---|
changes
|
object | optional | Updated fields: parent_id and name |
name
|
string | optional | New group name |
parent_id
|
string | optional | New group parent id |
added
|
array | optional | Array of added user ids |
added
|
string (uuid) | optional | |
removed
|
array | optional | Array of removed user ids |
removed
|
string (uuid) | optional | |
message
|
string | optional | Response message in case of error |
412 Invalid parameters
500 Server error
512 Specification violations